Send content
POST /contacts/{contact_id}/send_content
curl -X POST "https://app.bualpro.com/api/contacts/123/send_content" \
-H "Content-Type: application/json" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY" \
-d '{
"messages": [
{
"message": {
"text": "Hello world"
}
}
],
"actions": [],
"channel": "messenger"
}'
import requests
import json
url = "https://app.bualpro.com/api/contacts/123/send_content"
headers = {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
data = {
"messages": [
{
"message": {
"text": "Hello world"
}
}
],
"actions": [],
"channel": "messenger"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.bualpro.com/api/contacts/123/send_content", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
},
body: JSON.stringify({
"messages": [
{
"message": {
"text": "Hello world"
}
}
],
"actions": [],
"channel": "messenger"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"messages": [
{
"message": {
"text": "Hello world"
}
}
],
"actions": [],
"channel": "messenger"
}`)
req, err := http.NewRequest("POST", "https://app.bualpro.com/api/contacts/123/send_content", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-ACCESS-TOKEN", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.bualpro.com/api/contacts/123/send_content')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-ACCESS-TOKEN'] = 'YOUR_API_KEY'
request.body = '{
"messages": [
{
"message": {
"text": "Hello world"
}
}
],
"actions": [],
"channel": "messenger"
}'
response = http.request(request)
puts response.body
{}
POST
/contacts/{contact_id}/send_contentPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
RequiredAPI key (sent in header)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
channelstring
Options: messenger, sms, whatsapp, googleBM, telegram, instagram, rcs, viber, omnichannel
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-ACCESS-TOKENstring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
channelstring
Allowed values:
messengersmswhatsappgoogleBMtelegraminstagramrcsviberomnichannelResponses
Run multiple actions and send multiple messages across all channels.
The source documents response descriptions but no response body schema. Do not infer that the response is empty.
Was this page helpful?